'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = traverseNode;

var _nodeType = require('./nodeType');

var _nodeType2 = _interopRequireDefault(_nodeType);

var _context = require('./context');

var _context2 = _interopRequireDefault(_context);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var VISTOR_KEYS = {
  'object': 'properties',
  'anyOf': 'anyOf',
  'allOf': 'allOf',
  'oneOf': 'oneOf'
};

function traverseNode(node, opts, state, parentPath) {
  var key = VISTOR_KEYS[(0, _nodeType2.default)(node)];
  if (key) {
    var ctx = new _context2.default(opts, state, parentPath);
    ctx.visit(node, key);
  }
  return;
}